OpenNMS API 1.2.9

## org.opennms.netmgt.poller
Class Poller.InitCause

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollableVisitorAdaptor
          org.opennms.netmgt.poller.Poller.InitCause

All Implemented Interfaces:
  PollableVisitor

Enclosing class:
  Poller

private static class Poller.InitCause
extends PollableVisitorAdaptor

Field Summary
`private PollEvent` `m_cause`

Constructor Summary
`private` `Poller.InitCause()`

Method Summary
`void` `setCause(PollEvent cause)`
`void` `visitElement(PollableElement element)`

Methods inherited from class org.opennms.netmgt.poller.pollables.PollableVisitorAdaptor
`visitContainer, visitInterface, visitNetwork, visitNode, visitService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_cause

    private PollEvent m_cause

Constructor Detail

### Poller.InitCause

    private Poller.InitCause()

Method Detail

### setCause

    public void setCause(PollEvent cause)

### visitElement

    public void visitElement(PollableElement element)

  Specified by:
    `visitElement` in interface `PollableVisitor`
  Overrides:
    `visitElement` in class `PollableVisitorAdaptor`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.